<!--
  Copyright 2015 The Chromium Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->
<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8">
    <title>AppCache</title>
    <link rel="stylesheet" href="chrome://resources/css/text_defaults.css">
    <link rel="stylesheet" href="appcache_internals.css">
  </head>
  <body>
    <!-- templates -->
    <div style="display:none">
      <div id="appcache-list-template"
           jsvalues=".partitionPath:$this.partition_path">
        <div class="appcache-summary">
          <span>Instances in: </span>
          <span jscontent="$this.display_name"></span>
          <span jscontent="'(' + $this.appcache_vector.length + ')'">
          </span>
        </div>
        <div class="appcache-item" jsselect="$this.appcache_vector">
          <a class="appcache-url" jscontent="originURL"
                                  jsvalues="href:originURL"
                                  target="_blank"></a>
          <div jsselect="manifests">
            <div class="appcache-info-item" jsvalues="$manifestURL:manifestURL;
                                            $groupId:groupId;">
              <div class="appcache-manifest">
                <span> Manifest: </span>
                <a class="appcache-info-url" jscontent="manifestURL"
                                             jsvalues="href:manifestURL;"
                                             target="_blank"></a>
                <ul>
                  <li>
                    <span> Manifest Parser Version: </span>
                    <span jscontent="manifestParserVersion"></span>
                  </li>
                  <li>
                    <span> Manifest Scope: </span>
                    <span jscontent="manifestScope"></span>
                  </li>
                </ul>
              </div>
              <div class="appcache-size">
                <span> Size: </span>
                <span jscontent="totalSize"></span>
                =
                <span jscontent="responseSizes"></span> (response)
                +
                <span jscontent="paddingSizes"></span> (padding)
              </div>
              <div class="appcache-dates">
                <ul>
                  <li>
                    <span> Creation Time: </span>
                    <span jscontent="new Date(creationTime)"></span>
                  </li>
                  <li>
                    <span> Last Access Time: </span>
                    <span jscontent="new Date(lastAccessTime)"></span>
                  </li>
                  <li>
                    <span> Last Update Time: </span>
                    <span jscontent="new Date(lastUpdateTime)"></span>
                  </li>
                  <li>
                    <span> Token Expires: </span>
                    <span jscontent=
                      "tokenExpires ? new Date(tokenExpires) : '(unset)'">
                    </span>
                  </li>
                </ul>
              </div>
              <div class="appcache-manifest-commands"
                   jsvalues=".manifestURL:$manifestURL;.groupId:$groupId">
                <table>
                  <tr>
                    <td>
                      <a href="#" class="remove-manifest"> Remove Item </a>
                    </td>
                    <td>
                      <a href="#" class="view-details"> View Details </a>
                    </td>
                  </tr>
                </table>
              </div>
              <div class="appcache-details"
                   jsvalues=".manifestURL:$manifestURL;.groupId:$groupId;">
              </div>
            </div>
          </div>
        </div>
      </div>

      <table id="appcache-info-template">
        <thead class="appcache-details-header">
          <tr>
            <th>File URL</th>
            <th>Total Size</th>
            <th>Response</th>
            <th>Padding</th>
            <th>Properties</th>
          </tr>
        </thead>
        <tbody class="appcache-details"
               jsvalues=".manifestURL:$manifestURL;.groupId:$groupId;">
          <tr jsselect="items">
            <td>
              <a href="#" class="appcache-info-template-file-url"
                          jscontent="fileUrl" jsvalues=".responseId:responseId">
              </a>
            </td>
            <td jscontent="totalSize"></td>
            <td jscontent="responseSize"></td>
            <td jscontent="paddingSize"></td>
            <td jscontent="properties"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <h1>Application Cache</h1>
    <div class="content">
      <div id="appcache-list">
      </div>
      <script src="chrome://resources/js/assert.js"></script>
      <script src="chrome://resources/js/util.js"></script>
      <script src="chrome://resources/js/cr.js"></script>
      <script src="appcache_internals.js"></script>
      <script src="chrome://resources/js/jstemplate_compiled.js"></script>
  </body>
</html>
